summaryrefslogtreecommitdiffstats
path: root/build_debian_clean.sh
diff options
context:
space:
mode:
authorFelix Richter <github@syntax-fehler.de>2011-05-10 13:42:22 +0200
committerFelix Richter <github@syntax-fehler.de>2011-05-10 13:42:22 +0200
commit517f4d882850f2ca1a862a4e82d716234fe6acae (patch)
tree2b1a9d115cf0864ad861df8cb7c95875b6028743 /build_debian_clean.sh
parenta658f9efc524418ce4e6299e410698317440d200 (diff)
parentb678653ff59b94b12cfddd723692af62b38a395e (diff)
Merge branch 'master' of github.com:makefu/shack-retiolum
Diffstat (limited to 'build_debian_clean.sh')
-rwxr-xr-xbuild_debian_clean.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/build_debian_clean.sh b/build_debian_clean.sh
new file mode 100755
index 00000000..a7332f4e
--- /dev/null
+++ b/build_debian_clean.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+set -xe
+MYIP=10.0.7.7.55
+
+apt-get install tinc git curl gcc gcc-dev build-essential libssl-dev python
+
+git clone https://github.com/makefu/shack-retiolum.git
+
+mkdir build
+cd build
+curl http://www.oberhumer.com/opensource/lzo/download/lzo-2.04.tar.gz | tar
+xz
+cd lzo-2.04
+./configure --prefix=/usr
+make
+sudo make install
+cd ..
+curl http://www.tinc-vpn.org/packages/tinc-1.0.13.tar.gz | tar xz
+cd tinc-1.0.13
+./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
+make
+sudo make install
+cd ../..
+
+cd shack-retiolum
+./install.sh `hostname` $MYIP
+
+rm shack-retiolum
+# for autostart
+echo "retiolum" >> /etc/tinc/nets.boot
+echo "EXTRA=\"--user=tincd --chroot\"" >> /etc/default/tinc